/**
 * Specifies the layer for an Annotation.
 */
export declare enum AnnotationLayer {
    /**
     * Render the annotation below the gridlines of the axes.
     */
    BelowAxes = 0,
    /**
     * Render the annotation below the series.
     */
    BelowSeries = 1,
    /**
     * Render the annotation above the series.
     */
    AboveSeries = 2
}
//# sourceMappingURL=AnnotationLayer.d.ts.map