/**
 * Defines the style of axis ticks.
 */
export declare enum TickStyle {
    /**
     * The ticks are rendered crossing the axis line.
     */
    Crossing = 0,
    /**
     * The ticks are rendered inside of the plot area.
     */
    Inside = 1,
    /**
     * The ticks are rendered Outside the plot area.
     */
    Outside = 2,
    /**
     * The ticks are not rendered.
     */
    None = 3
}
//# sourceMappingURL=TickStyle.d.ts.map