import type { DataPoint } from '..';
/**
 * Specifies functionality to provide a DataPoint.
 */
export interface IDataPointProvider {
    /**
     * Gets the DataPoint that represents the element.
     * @returns A DataPoint.
     */
    getDataPoint(): DataPoint;
}
export declare function isDataPointProvider(obj: any): obj is IDataPointProvider;
//# sourceMappingURL=IDataPointProvider.d.ts.map