/**
 * Defines the cursor type.
 */
export declare enum CursorType {
    /**
     * The default cursor
     */
    Default = 0,
    /**
     * The pan cursor
     */
    Pan = 1,
    /**
     * The zoom rectangle cursor
     */
    ZoomRectangle = 2,
    /**
     * The horizontal zoom cursor
     */
    ZoomHorizontal = 3,
    /**
     * The vertical zoom cursor
     */
    ZoomVertical = 4
}
//# sourceMappingURL=CursorType.d.ts.map