/**
 * Defines values that specify the buttons on a mouse device.
 */
export declare enum OxyMouseButton {
    /**
     * No mouse button.
     */
    None = 0,
    /**
     * The left mouse button.
     */
    Left = 1,
    /**
     * The middle mouse button.
     */
    Middle = 2,
    /**
     * The right mouse button.
     */
    Right = 3,
    /**
     * The first extended mouse button.
     */
    XButton1 = 4,
    /**
     * The second extended mouse button.
     */
    XButton2 = 5
}
//# sourceMappingURL=OxyMouseButton.d.ts.map