/**
 * Specifies which axis a manipulator will prefer to operate on.
 */
export declare enum AxisPreference {
    /**
     * Manipulation will not prefer a particular axis.
     */
    None = 0,
    /**
     * Manipulation will prefer to operate on the X axis.
     */
    X = 1,
    /**
     * Manipulation will prefer to operate on the Y axis.
     */
    Y = 2
}
//# sourceMappingURL=AxisPreference.d.ts.map