/**
 * Defines horizontal alignment.
 */
export declare enum HorizontalAlignment {
    /**
     * Aligned to the left.
     */
    Left = -1,
    /**
     * Aligned in the center.
     */
    Center = 0,
    /**
     * Aligned to the right.
     */
    Right = 1
}
/**
 * Specifies vertical alignment.
 */
export declare enum VerticalAlignment {
    /**
     * Aligned at the top.
     */
    Top = -1,
    /**
     * Aligned in the middle.
     */
    Middle = 0,
    /**
     * Aligned at the bottom.
     */
    Bottom = 1
}
//# sourceMappingURL=Alignments.d.ts.map