export declare class BinaryWriter {
    private _view;
    private _length;
    constructor(size?: number);
    writeUInt8(value: number): void;
    writeInt8(value: number): void;
    writeUInt16(value: number): void;
    writeInt16(value: number): void;
    writeUInt32(value: number): void;
    writeInt32(value: number): void;
    writeFloat(value: number): void;
    writeDouble(value: number): void;
    writeBytes(data: number[]): void;
    writeStringUtf8(value: string): void;
    get length(): number;
    reset(): void;
    toBuffer(): ArrayBuffer;
    private checkAlloc;
}
//# sourceMappingURL=BinaryWriter.d.ts.map