export declare class TimeSpan {
    private ms;
    private readonly _totalMs;
    private readonly _ms;
    private readonly _seconds;
    private readonly _minutes;
    private readonly _hours;
    private readonly _days;
    private constructor();
    get milliseconds(): number;
    get seconds(): number;
    get minutes(): number;
    get hours(): number;
    get days(): number;
    get totalMs(): number;
    get totalSeconds(): number;
    get totalMinutes(): number;
    get totalHours(): number;
    get totalDays(): number;
    static fromMilliseconds(ms: number): TimeSpan;
    static fromSeconds(sec: number): TimeSpan;
    static fromMinutes(min: number): TimeSpan;
    static fromHours(hours: number): TimeSpan;
    static fromDays(days: number): TimeSpan;
    static from(days?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): TimeSpan;
    toString: () => string;
}
//# sourceMappingURL=TimeSpan.d.ts.map