/**
 * equivalent to c# `T[,]`
 */
export declare class TwoDimensionalArray<T> {
    private columnCount;
    private rowCount;
    private readonly _data;
    constructor(columnCount: number, rowCount: number, initValue?: T);
    static fromArray<T>(arr: T[][]): TwoDimensionalArray<T>;
    toArray(): T[][];
    get height(): number;
    get width(): number;
    get(x: number, y: number): T;
    set(x: number, y: number, val: T): void;
}
//# sourceMappingURL=TwoDimensionalArray.d.ts.map