import type { CreateAngleAxisOptions, IRenderContext } from '..';
import { AngleAxis } from '..';
/**
 * Represents an angular axis that covers the whole plot area.
 */
export declare class AngleAxisFullPlotArea extends AngleAxis {
    constructor(opt?: CreateAngleAxisOptions);
    /**
     * Renders the axis on the specified render context.
     */
    render(rc: IRenderContext, pass: number): Promise<void>;
    getElementName(): string;
}
//# sourceMappingURL=AngleAxisFullPlotArea.d.ts.map