import type { IRenderContext } from '../..';
import { CategoryColorAxis, ColorAxisRenderer, PlotModel } from '../..';
/**
 * Provides functionality to render category color axes.
 */
export declare class CategoryColorAxisRenderer extends ColorAxisRenderer<CategoryColorAxis> {
    /**
     * Initializes a new instance of the CategoryColorAxisRenderer class.
     */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the color block.
     */
    protected renderColorBlock(axis: CategoryColorAxis): Promise<void>;
}
//# sourceMappingURL=CategoryColorAxisRenderer.d.ts.map