import { ColorAxisRenderer, type IRenderContext, PlotModel, RangeColorAxis } from '../..';
/**
 * Provides functionality to render range color axes.
 */
export declare class RangeColorAxisRenderer extends ColorAxisRenderer<RangeColorAxis> {
    /**
     * Initializes a new instance of the RangeColorAxisRenderer class.
     */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the color block.
     */
    protected renderColorBlock(axis: RangeColorAxis): Promise<void>;
}
//# sourceMappingURL=RangeColorAxisRenderer.d.ts.map