/**
 * Defines change types for the AxisChanged event.
 */
export declare enum AxisChangeTypes {
    /**
     * The axis was zoomed by the user.
     */
    Zoom = 0,
    /**
     * The axis was panned by the user.
     */
    Pan = 1,
    /**
     * The axis zoom/pan was reset by the user.
     */
    Reset = 2
}
//# sourceMappingURL=AxisChangeTypes.d.ts.map