/**
 * Specifies the position of an Axis.
 */
export declare enum AxisPosition {
    /**
     * No position.
     */
    None = 0,
    /**
     * Left of the plot area.
     */
    Left = 1,
    /**
     * Right of the plot area.
     */
    Right = 2,
    /**
     * Top of the plot area.
     */
    Top = 3,
    /**
     * Bottom of the plot area.
     */
    Bottom = 4,
    /**
     * All positions.
     */
    All = 5
}
//# sourceMappingURL=AxisPosition.d.ts.map