import type { IPlotModel } from '..';
/**
 * Defines functionality to export a PlotModel.
 */
export interface IExporter {
    /**
     * Exports the specified PlotModel to a Stream.
     * @param model The model to export.
     */
    export(model: IPlotModel): Promise<ArrayBuffer>;
}
//# sourceMappingURL=IExporter.cs.d.ts.map