import type { ScreenPoint } from '..';
/**
 * Represents arguments for the hit test.
 */
export declare class HitTestArguments {
    /**
     * The point to hit test.
     */
    readonly point: ScreenPoint;
    /**
     * The hit test tolerance.
     */
    readonly tolerance: number;
    /**
     * Initializes a new instance of the `HitTestArguments` class.
     * @param point The point to hit test.
     * @param tolerance The hit test tolerance.
     */
    constructor(point: ScreenPoint, tolerance: number);
}
//# sourceMappingURL=HitTestArguments.d.ts.map