/**
 * Defines the image format.
 */
export declare enum ImageFormat {
    /**
     * The image is a PNG image.
     */
    Png = 0,
    /**
     * The image is a bitmap image.
     */
    Bmp = 1,
    /**
     * The image is a JPEG image.
     */
    Jpeg = 2,
    /**
     * The image format is unknown.
     */
    Unknown = 3
}
//# sourceMappingURL=ImageFormat.d.ts.map