import { type OxyInputGesture } from '../..';
/**
 * Represents a shake input gesture.
 * The input gesture can be bound to a command in a PlotController. The shake gesture applies primarily to mobile devices.
 */
export declare class OxyShakeGesture implements OxyInputGesture {
    /**
     * Indicates whether the current object is equal to another object of the same type.
     * @param other An object to compare with this object.
     * @returns true if the current object is equal to the other parameter; otherwise, false.
     */
    equals(other: OxyInputGesture): boolean;
}
//# sourceMappingURL=OxyShakeGesture.d.ts.map