import { LineStyle } from '..';
/**
 * Provides functionality to convert from LineStyle to a stroke dash array.
 */
export declare class LineStyleHelper {
    /**
     * Gets the stroke dash array for a given LineStyle.
     * @param style The line style.
     * @returns A dash array.
     */
    static getDashArray(style: LineStyle): number[] | undefined;
}
//# sourceMappingURL=LineStyleHelper.d.ts.map