export declare class BinaryReader {
    private buffer;
    private offset;
    private readonly dataView;
    constructor(buffer: ArrayBufferLike);
    readByte(): number;
    readBytes(count: number): number[];
    readString(length: number): string;
    readInt16(littleEndian?: boolean): number;
    readUint16(littleEndian?: boolean): number;
    readInt32(littleEndian?: boolean): number;
    readBigEndianUInt32(): number;
    readUint32(littleEndian?: boolean): number;
    forward(count: number): void;
}
//# sourceMappingURL=BinaryReader.d.ts.map