export declare function isNull(v?: any): v is null;
export declare function isUndef(v?: any): v is undefined;
export declare function isNullOrUndef(v?: any): v is undefined | null;
export declare function removeProperties(obj: any, ...props: string[]): void;
export declare function getOrDefault<T>(obj: any, key: string | undefined, defaultVal?: T): T | undefined;
interface RemoveUndefOpt {
    removeEmptyStr?: boolean;
    removeNull?: boolean;
    deep?: number;
}
export declare function removeUndef<T>(obj: T, opt?: RemoveUndefOpt): T;
export declare function hashCode(s: number[]): number;
interface CopyPropertiesOptions {
    filter?: (key: string, val: unknown) => boolean;
    excludeDefault?: boolean;
}
export declare function copyProperties<T>(obj: T, def?: any, opt?: CopyPropertiesOptions): any;
export interface CopyPlotElementProperties {
    excludeKeys?: string[];
    filter?: (key: string, val: unknown) => boolean;
    excludeDefault?: boolean;
}
export declare function copyPlotElementProperties(obj: any, def?: any, opt?: CopyPlotElementProperties): any;
export declare function isDeepEqual(value1: any, value2: any): boolean;
export declare function assignObject(target: any, template: any, source: any, opt?: {
    exclude?: string[];
}): any;
export declare function assignMethod<T>(target: T, methodName: keyof T, opt: any, removeAfterAssign?: boolean): void;
export {};
//# sourceMappingURL=object-util.d.ts.map